VLC Vulnerable to Hijacking

For those who use VLC media player, I recommend reading this article. For those who don't know what VLC Media Player is, it is a widely used media player which supports many of the codecs that other common media players do not support.

Source: http://www.pcworld.com/article/id,143542/article.html
A flaw in the widely-used open-source VLC media player could allow an attacker to execute harmful code on a PC.

The problem stems from a buffer overflow that can occur when the player processes subtitle files used for movies, according to a security advisory.

The vulnerability existed before VLC was upgraded to version 0.8.6e in late February, but the bug appears to have escaped the last round of patches, wrote Luigi Auriemma in a note.

"The funny thing is that my old proof-of-concept was built just to test this specific buffer overflow, and in fact it works on the new VLC version too without modifications," Auriemma wrote.

Video files can contain a link to a separate subtitle file, which VLC automatically loads when it plays the video. An attacker could use the buffer overflow flaw in VLC to execute malicious code contained in a subtitle file, and thus tamper with a PC. The flaw affects VLC players running on Windows, Mac, BSD and possibly more operating systems, Auriemma wrote.

The VLC media player is part of the VideoLAN project. The player is free, and it is released under the GNU General Public License. VLC can also be used as a streaming media server for a variety of platforms.

Courtesy of: http://www.searchsecurity.com.au/topics/article.asp?DocID=1237777
The flaws affect VideoLAN VLC versions 0.7.0 through 0.8.6. Users can fix the issue by upgrading to VLC version 0.8.6a or by applying the patch.

Another solution from Torrent Freak: For now, the only solutions are not to run any subtitle files, or to grab one of the nightly builds. The downside is, however, that these might not be as stable as the regular releases.

Picture of VLC Vulnerable to Hijacking
ll.139 years ago
I think I am one of the very few who do not use VLC. =)

(well, I used it a few days ago, but uninstalled it) :-)
LinuxH4x0r9 years ago
is 8.6d ok?
Goodhart9 years ago
I had never gotten to the point where I had time to fool much with mine anyhow.....it is just as good that it is now gone :-)
gmoon9 years ago
Thanks for the heads-up!